        !COMPILER-GENERATED INTERFACE MODULE: Mon Feb 13 16:25:35 2012
        MODULE SUBPLX_mod
          INTERFACE 
            SUBROUTINE SUBPLX(F,N,TOL,MAXNFE,MODE,SCALE,X,FX,NFE,WORK,  &
     &IWORK,IFLAG)
              INTEGER(KIND=4) :: N
              REAL(KIND=8) :: F
              EXTERNAL F
              REAL(KIND=8) :: TOL
              INTEGER(KIND=4) :: MAXNFE
              INTEGER(KIND=4) :: MODE
              REAL(KIND=8) :: SCALE(*)
              REAL(KIND=8) :: X(N)
              REAL(KIND=8) :: FX
              INTEGER(KIND=4) :: NFE
              REAL(KIND=8) :: WORK(*)
              INTEGER(KIND=4) :: IWORK(*)
              INTEGER(KIND=4) :: IFLAG
            END SUBROUTINE SUBPLX
          END INTERFACE 
        END MODULE SUBPLX_mod
